version: '3.8'
services:
        php-apache-environment:
            container_name: php-apache
            build:
                context: ./php
                dockerfile: Dockerfile
            depends_on:
                - db
            volumes:
                - ./php/src:/var/www/html/
            ports:
                - 8000:80
        db:
            container_name: db
            image: mysql
            restart: always
            environment:
                MYSQL_ROOT_PASSWORD: MYSQL_ROOT_PASSWORD
                MYSQL_DATABASE: MYSQL_DATABASE
                MYSQL_USER: user
                MYSQL_PASSWORD: password
            ports:
                - "9906:3306"
        phpmyadmin:
            image: phpmyadmin/phpmyadmin
            ports:
                - '4040:80'
            restart: always
            environment:
                PMA_HOST: db
            depends_on:
                - db    
